> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get the status of an endpoint by ID




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /endpoints/{id}
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /endpoints/{id}:
    get:
      tags:
        - Endpoints
      summary: Get
      description: |
        Get the status of an endpoint by ID
      operationId: EndpointsGet
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: id
          description: |
            a resource identifier
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: |
            Get the status of an endpoint by ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Endpoint'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    Endpoint:
      type: object
      properties:
        id:
          description: |
            unique endpoint resource identifier
          type: string
        region:
          description: |
            identifier of the region this endpoint belongs to
          type: string
        created_at:
          description: |
            timestamp when the endpoint was created in RFC 3339 format
          type: string
        updated_at:
          description: |
            timestamp when the endpoint was updated in RFC 3339 format
          type: string
        public_url:
          description: >
            deprecated [replaced by URL]: URL of the hostport served by this
            endpoint
          type: string
        proto:
          description: >
            protocol served by this endpoint. one of `http`, `https`, `tcp`, or
            `tls`
          type: string
        scheme:
          description: n/a
          type: string
        hostport:
          description: >
            hostport served by this endpoint (hostname:port) -> soon to be
            deprecated
          type: string
        host:
          description: n/a
          type: string
        port:
          description: n/a
          type: integer
        type:
          description: >
            whether the endpoint is `ephemeral` (served directly by an
            agent-initiated tunnel) or `edge` (served by an edge) or `cloud
            (represents a cloud endpoint)`
          type: string
        metadata:
          description: |
            user-supplied metadata of the associated tunnel or edge object
          type: string
        description:
          description: |
            user-supplied description of the associated tunnel
          type: string
        domain:
          $ref: '#/components/schemas/Ref'
          description: |
            the domain reserved for this endpoint
        tcp_addr:
          $ref: '#/components/schemas/Ref'
          description: |
            the address reserved for this endpoint
        tunnel:
          $ref: '#/components/schemas/Ref'
          description: >
            the tunnel serving requests to this endpoint, if this is an
            ephemeral endpoint
        edge:
          $ref: '#/components/schemas/Ref'
          description: >
            the edge serving requests to this endpoint, if this is an edge
            endpoint
        upstream_url:
          description: |
            the local address the tunnel forwards to
          type: string
        upstream_protocol:
          description: |
            the protocol the agent uses to forward with
          type: string
        url:
          description: |
            the url of the endpoint
          type: string
        principal:
          $ref: '#/components/schemas/Ref'
          description: |
            The ID of the owner (bot or user) that owns this endpoint
        traffic_policy:
          description: |
            The traffic policy attached to this endpoint
          type: string
        bindings:
          description: |
            the bindings associated with this endpoint
          type: array
          items:
            type: string
        tunnel_session:
          $ref: '#/components/schemas/Ref'
          description: |
            The tunnel session of the agent for this endpoint
        uri:
          description: |
            URI of the Cloud Endpoint API resource
          type: string
        name:
          description: |
            user supplied name for the endpoint
          type: string
        pooling_enabled:
          description: |
            whether the endpoint allows pooling
          type: boolean
    Ref:
      type: object
      properties:
        id:
          description: |
            a resource identifier
          type: string
        uri:
          description: |
            a uri for locating a resource
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````